Bug 471343 - Error to create a livecd minimal.ks based
Error to create a livecd minimal.ks based
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 22:48 EST by Rodrigo Padula de Oliveira
Modified: 2009-09-29 11:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 12:40:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodrigo Padula de Oliveira 2008-11-12 22:48:43 EST
Command executed:
livecd-creator --verbose --config=livecd-fedora-minimal.ks --fslabel=Fedora_10-Padula_Teste

Error:

This filesystem will be automatically checked every 26 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
tune2fs 1.41.3 (12-Oct-2008)
Setting maximal mount count to -1
Setting interval between checks to 0 seconds
Retrieving http://fedora.c3sl.ufpr.br/linux/development/i386/os/repodata/repomd.xml ...OK
Retrieving http://fedora.c3sl.ufpr.br/linux/development/i386/os/repodata/308b02df8b0887e7fc522377a9dfa7a98fe87090-primary.sqlite.bz2 ...OK
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 136, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 128, in main
    logging.error("Error creating Live CD : %s" % e)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xed' in position 66: ordinal not in range(128)
Comment 1 Jeremy Katz 2008-11-12 22:55:14 EST
What version of yum do you have installed?  And usually, this pops up because there's an error output by yum and then we get into encoding hell in python :/  

I suspect if you run with LANG=en_US.UTF-8, you'll see what the real error is.
Comment 2 Rodrigo Padula de Oliveira 2008-11-12 23:05:59 EST
[root@localhost livecd-tools-019]# yum --version
3.2.20
  Installed: yum-metadata-parser-1.1.2-10.fc10.i386 at 2008-10-31 16:35
  Built    : Fedora Project at 2008-10-15 13:37
  Committed: James Antill <james at fedoraproject.org> at 2008-10-14 22:00

  Installed: rpm-4.6.0-0.rc1.7.i386 at 2008-11-05 02:13
  Built    : Fedora Project at 2008-10-31 08:31
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2008-10-31 22:00

  Installed: yum-3.2.20-3.fc10.noarch at 2008-10-31 16:36
  Built    : Fedora Project at 2008-10-29 14:30
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2008-10-29 22:00




In te minimal.ks i'm using:

lang en_US.UTF-8
keyboard us
timezone US/Eastern
auth --useshadow --enablemd5
firewall --disabled
part / --size 1024

repo --name=development --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=$basearch
Comment 3 Christoph Wickert 2008-11-13 05:59:28 EST
IMO this shuld be filed against yum rather than livecd-tools. See bug # 445916: Same error message.
Comment 4 Jeremy Katz 2008-11-13 10:19:38 EST
And if you run with LANG=en_US.UTF-8 instead of pt_BR, what is the error that you receive?

(and yes, this will probably get reassigned to yum, but trying to do leg work for seth first :)
Comment 5 Rodrigo Padula de Oliveira 2008-11-13 18:04:32 EST
Using pt_BR i receive the same message!
Comment 6 Rodrigo Padula de Oliveira 2008-11-14 09:07:49 EST
livecd-tools-020

Using the default file with a fslabel=Minimal_Live


Error:

[root@localhost livecd-tools-020]# livecd-creator --verbose --config=livecd-fedora-minimal.ks  --fslabel=Minimal_Live
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 136, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 112, in main
    creator = imgcreate.LiveImageCreator(ks, name, fs_label)
  File "/usr/lib/python2.5/site-packages/imgcreate/live.py", line 47, in __init__
    LoopImageCreator.__init__(self, *args)
  File "/usr/lib/python2.5/site-packages/imgcreate/creator.py", line 788, in __init__
    ImageCreator.__init__(self, ks, name)
  File "/usr/lib/python2.5/site-packages/imgcreate/creator.py", line 76, in __init__
    self.__sanity_check()
  File "/usr/lib/python2.5/site-packages/imgcreate/creator.py", line 404, in __sanity_check
    raise CreatorError("SELinux requested but not enabled on host")
imgcreate.errors.CreatorError: SELinux requested but not enabled on host
Comment 7 Rodrigo Padula de Oliveira 2008-11-14 09:21:46 EST
Changing the default minimal.ks, commenting the selinux line,  this error isn't  happening.
Comment 8 Rodrigo Padula de Oliveira 2008-11-14 09:22:41 EST
I think this problem is with the .ks syntax and some unaccepted character.
Comment 9 Jeremy Katz 2008-11-14 13:17:06 EST
(In reply to comment #6)
>     raise CreatorError("SELinux requested but not enabled on host")
> imgcreate.errors.CreatorError: SELinux requested but not enabled on host

You can't create an image with SELinux enabled if you don't have SELinux enabled on your host.

But I think the original issue was something else as I can't reproduce it with any locale (pt_BR, pt_BR.UTF-8, en_US.UTF-8, C) and just the default config on a box with selinux disabled
Comment 10 Bug Zapper 2008-11-26 00:16:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Jeremy Katz 2008-12-01 12:59:35 EST
Still need to see what the error is...
Comment 12 Jeremy Katz 2008-12-19 12:40:06 EST
Closing due to inactivity.  Please reopen if you have further information to add to this bug report.
Comment 13 automatisering 2009-09-29 11:15:31 EDT
This is the correct answer:

You can't create an image with SELinux enabled if you don't have SELinux
enabled on your host.

Soooo please add an # for the selinux line......(to comment this out)

Note You need to log in before you can comment on or make changes to this bug.